<?xml version="1.0" encoding="utf-8"?>
<!--
  有关如何配置 ASP.NET 应用程序的详细信息，请访问
  http://go.microsoft.com/fwlink/?LinkId=169433
  -->
<configuration>
  <appSettings>
    <add key="RegKey" value="&lt;RSAKeyValue&gt;&lt;Modulus&gt;85mCZ7TeTu1ODw1jMqaTyeMQrXH84CrVn8Xf7KG9zCLnEDXQUCUuDOjActYAEULR6+ZdaThHM72g7ddnEPIdF9l8AsQmw/ksQrhkaKgSu9MC8GAS+Cnrhrp8zil0XpYg/0uoZ7lEOh/tesoImaB1LV5f6tGn1JeOh87rzOEjtAc=&lt;/Modulus&gt;&lt;Exponent&gt;AQAB&lt;/Exponent&gt;&lt;/RSAKeyValue&gt;" />
    <add key="Web" value="互联网应用开发平台" />
    <add key="WebOA" value="网络办公自动化软件" />
    <add key="WebCRM" value="客户进销存管理软件" />
    <add key="WebHR" value="人事和绩效管理软件" />
    <!--设置默认页面-->
    <add key="Homepage" value="~/Login.aspx" />
    <!--设置登录提示-->
    <add key="Notice" value="&lt;font color=blue&gt;© &lt;a href=http://www.bawu.cn target=_blank&gt;十堰八五科技有限公司&lt;/a&gt;　电话：0719-8525000&lt;/font&gt;" />
    <!--信使消息间隔：不设置此项或值为零不启用；值大于零为获取消息的时间间隔(单位：毫秒）-->
    <add key="Msg" value="300000" />
    <!--自动发送短信：不设置此项或值为零不启用；值大于零为短信发送的时间间隔(单位：毫秒）-->
    <!--add key="Sms" value="90000" /-->
    <!--短信督办事务：不设置此项或值为零不启用；值大于零为短信发送的时间间隔(单位：毫秒）-->
    <add key="AffairMonitor" value="0" />
    <!--桌面信息中心：值大于1时，显示值指定个月内的数据-->
    <add key="DesktopNews" value="0" />
    <!--桌面电子邮件：值大于1时，显示值指定个月内的数据-->
    <add key="DesktopMail" value="0" />
    <!--桌面事务管理：值大于1时，显示值指定个月内的数据-->
    <add key="DesktopAffair" value="0" />
    <!--桌面项目管理：值大于1时，显示值指定个月内的数据-->
    <add key="DesktopReport" value="0" />
    <!--桌面知识管理：值大于1时，显示值指定个月内的数据-->
    <add key="DesktopLore" value="0" />
    <!--桌面电子论坛：值大于1时，显示值指定个月内的数据-->
    <add key="DesktopForum" value="0" />
  </appSettings>
  <connectionStrings>
    <clear />
    <!--add name="ConnWeb" connectionString="Data Source=.;Initial Catalog=Web;Integrated Security=True;Connect Timeout=600;User Instance=False" providerName="System.Data.SqlClient"/-->
    <!--add name="ConnWebOA" connectionString="Data Source=.;Initial Catalog=WebOA;Integrated Security=True;Connect Timeout=600;User Instance=False" providerName="System.Data.SqlClient"/-->
    <add name="ConnWeb" connectionString="Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\Web.MDF;Integrated Security=True;Connect Timeout=600;User Instance=True" providerName="System.Data.SqlClient" />
    <add name="ConnWebOA" connectionString="Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\WebOA.MDF;Integrated Security=True;Connect Timeout=600;User Instance=True" providerName="System.Data.SqlClient" />
    <!--add name="ConnUpgrade" connectionString="Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\Upgrade.MDF;Integrated Security=True;Connect Timeout=600;User Instance=True" providerName="System.Data.SqlClient" /-->
  </connectionStrings>
  <system.web>
    <siteMap>
      <providers>
        <add name="WebMenuSiteMap" type="System.Web.XmlSiteMapProvider" siteMapFile="~/WebMenu.sitemap" />
      </providers>
    </siteMap>
    <authentication mode="Forms">
      <forms loginUrl="~/Login.aspx" timeout="2880" cookieless="UseCookies" />
    </authentication>
    <membership userIsOnlineTimeWindow="5">
      <providers>
        <clear />
        <add name="AspNetSqlMembershipProvider" type="System.Web.Security.SqlMembershipProvider" connectionStringName="ConnWeb" enablePasswordRetrieval="false" enablePasswordReset="true" requiresQuestionAndAnswer="false" requiresUniqueEmail="false" maxInvalidPasswordAttempts="10" minRequiredPasswordLength="1" minRequiredNonalphanumericCharacters="0" passwordAttemptWindow="20" applicationName="/" />
      </providers>
    </membership>
    <profile>
      <providers>
        <clear />
        <add name="AspNetSqlProfileProvider" type="System.Web.Profile.SqlProfileProvider" connectionStringName="ConnWeb" applicationName="/" />
      </providers>
    </profile>
    <webParts>
      <personalization>
        <providers>
          <remove name="AspNetSqlPersonalizationProvider" />
          <add name="AspNetSqlPersonalizationProvider" connectionStringName="ConnWeb" applicationName="/" type="System.Web.UI.WebControls.WebParts.SqlPersonalizationProvider, System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
        </providers>
        <authorization>
          <allow users="*" verbs="enterSharedScope" />
        </authorization>
      </personalization>
    </webParts>
    <roleManager enabled="true">
      <providers>
        <clear />
        <add name="AspNetSqlRoleProvider" type="System.Web.Security.SqlRoleProvider" connectionStringName="ConnWeb" applicationName="/" />
      </providers>
    </roleManager>
    <httpRuntime useFullyQualifiedRedirectUrl="true" maxRequestLength="102400" executionTimeout="600" requestValidationMode="2.0" />
    <pages controlRenderingCompatibilityVersion="3.5" clientIDMode="AutoID">
      
    </pages>
    <httpHandlers>
      <add verb="*" path="*.bak" type="System.Web.HttpForbiddenHandler" />
    </httpHandlers>
    <globalization requestEncoding="UTF-8" responseEncoding="UTF-8" responseHeaderEncoding="UTF-8" fileEncoding="UTF-8" culture="zh-CN" />
    <customErrors mode="Off" />
  </system.web>
  <location path="App_Data_Backup">
    <system.web>
      <authorization>
        <allow roles="System" />
        <deny users="*" />
      </authorization>
    </system.web>
  </location>
  <!-- 
        The system.webServer section is required for running ASP.NET AJAX under Internet
        Information Services 7.0.  It is not necessary for previous version of IIS.
    -->
  <system.webServer>
    <validation validateIntegratedModeConfiguration="false" />
    <staticContent>
      <mimeMap fileExtension=".bak" mimeType="application/mx-msdownload" />
    </staticContent>
    <security>
      <requestFiltering>
        <requestLimits maxAllowedContentLength="4294967295" />
      </requestFiltering>
    </security>
  </system.webServer>
  <system.web.extensions>
    <scripting>
      <webServices>
        <jsonSerialization maxJsonLength="1024000000" />
      </webServices>
    </scripting>
  </system.web.extensions>  
</configuration>